Subject: Re: Can linux kernel bridge forward 802.1q tagged vlan packets?

From: Stephen Hemminger <[email-masked]>
Date: Thu, 22 Aug 2013 15:19:41 -0700

On Thu, 22 Aug 2013 23:49:41 +0200
Marek Kierdelewicz <[email-masked]> wrote:

> Hi,
> 
> >My general idea is to bridge tagged vlan packets from a physical
> >interface (intel) to a virtual interface (virtio in qemu) and not
> >losing the tags, so the qemu guest can use vconfig and friends to get
> >some vlan interfaces. Is this possible and are there any additional
> >steps necessary besides the usual bridge configuration?
> 
> I'm using this setup with KVM virtualization (Qemu's successor). It
> didn't work with default nic type for guest (realtek I think) as 802.1q
> tags were not preserved properly in one of the directions. I don't
> remember specifics. Anyway using e1000 driver instead of default fixed
> it. Works like a charm.

KVM e1000 Vnic doesn't do VLAN offloading at least in my experience.
Virtio works fine.